Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.io
Class BufferedOutput

    java.lang.Object
      java.io.OutputStream
          org.basex.io.BufferedOutput

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

    public final class BufferedOutput

extends java.io.OutputStream

This class serves as a buffered wrapper for output streams.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen, Tim Petrowsky

Constructor Summary
`BufferedOutput(java.io.OutputStream outstream)` Constructor with a default buffersize of 4096 bytes.
`BufferedOutput(java.io.OutputStream out, int bufs)` Constructor with a specific buffersize.

Method Summary
`void` | `close()`
`void` | `flush()`
`void` | `write(int b)`

Methods inherited from class java.io.OutputStream
`write, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BufferedOutput

    public BufferedOutput(java.io.OutputStream outstream)

  Constructor with a default buffersize of 4096 bytes.

  Parameters:
    `outstream` - the OutputStream we operate on

### BufferedOutput

    public BufferedOutput(java.io.OutputStream out,
                          int bufs)

  Constructor with a specific buffersize.

  Parameters:
    `out` - the OutputStream we operate on
    `bufs` - buffer size

Method Detail

### write

    public void write(int b)
               throws java.io.IOException

  Specified by:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Specified by:
    `flush` in interface `java.io.Flushable`
  Overrides:
    `flush` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD